Package libxyz :: Package core :: Package logger :: Module logger :: Class Logger

[hide private]
[frames] | no frames]

# Class Logger

source code

    object --+
             |
            Logger

Logger console is used to collect system messages. There are several message levels: PANIC: Critical error. ERROR: Non-critical error. WARNING: Warning. INFO: Informational message. DEBUG: Debug messages. ALL: All of the above.

Instance Methods | [hide private]

__init__(self, xyz, levels, lines=100) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code

show_console(self) Show logger console | source code

log(self, msg, level=None) Add new message to log | source code

process_pending(self) Process pending messages | source code

clear(self) Clear log queue | source code

_calc_levels(self, level_list) Parse levels from config | source code

_set_internal_plugin(self) Set own virtual plugin | source code

Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__str__`

Class Variables | [hide private]

| panic = `lambda self, msg:`
| error = `lambda self, msg:`
| warning = `lambda self, msg:`
| info = `lambda self, msg:`
| debug = `lambda self, msg:`

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(self, xyz, levels, lines=100)
(Constructor)

source code

x.__init__(...) initializes x; see x.__class__.__doc__ for signature

Parameters:
  - `xyz` - XYZ data
  - `levels` - A list of levels to track
  - `lines` - Max number of lines to be shown in logger console
Overrides: object.__init__

### log(self, msg, level=None)

source code

Add new message to log

Parameters:
  - `msg` - Message
  - `level` (LogLevel attribute) - Log level